@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;500;600;700&display=swap");
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Open Sans", sans-serif; 
}
body{
    display: flex;
    align-items: center;
    padding: 0 10px;
    justify-content: center;
    min-height: 100vh;
    background-color: yellowgreen;

    
}
.container {
  width: 850px;
  background-color: white;
  display: flex;
  gap: 70px;
  align-items: flex-end;
  padding: 60px 40px;
  border-radius: 10px;

}
.hangmanbox img{
  max-width: 270px;
}
.hangmanbox-box h1{
  font-size: 1.45rem;
  margin-top: 20px;
  text-align: center;
  text-transform: uppercase;

}
.word-display{
  display: flex;
  gap: 10px;
  list-style: none;
  align-items: center;
  justify-content: center;
} 
.word-display .letter{
  width: 28px;
  font-size: 2rem;
  font-weight: 600;
  text-align: center;
  text-transform: uppercase;
  margin-bottom: 40px;
  border-bottom: 3px solid black;
}
.word-display .letter.guesses{
  border-color: transparent;
  margin: -40px 0 35px;



}
.game-box h4{
  text-align: center;
  font-size: 1.1;
  font-weight: 500;
  margin-bottom: 15px;
}
.game-box h4 b{
  font-weight: 600;
}


.guesses-text b{
  color: red;
}
.game-box .keyboard{
  display: flex;
  gap: 5px;
  margin-top: 40px;
  flex-wrap: wrap;
  justify-content: center;

}
:where(.game-model, .keyboard) button {
  color: #fff;
font-size: 1rem;
font-weight: 600;
cursor: pointer;
outline: none;
border: none;
text-transform: uppercase;
background: #5e63ba;
border-radius: 4px;

}
.keyboard button{

      
  width: calc(100%/9 - 5px);
}
.keyboard button[disabled]{
  opacity: 0.6;
  pointer-events: none;
  
}
:where(.game-model, .keyboard) button:hover{
  background: #5e63ba;
  color:red;
}
.game-model{
  position: fixed;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  pointer-events: none;
  z-index: 999;
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgba(0,0,0,0.6);
  transition: opacity 0.4s ease;


}
.game-model.show{
  opacity: 1;
  pointer-events: auto;

}
.game-model .content{
  background: #fff;
  max-width: 420px;
  width: 100%;
  text-align: center;
  border-radius: 100px;
  padding: 30px;
}
.game-model img{
  max-width: 130px;
}
.game-model h4{
  font-size: 1.53rem;

}
.game-model p{
  font-size: 1.15rem;
  margin: 15px 0 30px;
  font-weight: 500;

}
.game-model p b{
  color: greenyellow;
}
.game-model button{
  padding: 12px 23px;
}
@media (max-width: 728px){
  .container
  {
    flex-direction: column;
    padding: 30px 15px;
    align-items: center;
  }
  .hangman-box img{
    max-width: 200px;
  }
  .hangman-box h1{
    display: none;
  }
  
}